Subject: Re: [PATCH v4 1/4] stmmac: create of compatible mdio bus for stmacc driver

From: Phil Reid <[email-masked]>
Date: Wed, 9 Dec 2015 10:47:29 +0800

On 9/12/2015 10:15 AM, kbuild test robot wrote:

>
> url:    https://github.com/0day-ci/linux/commits/Phil-Reid/stmmac-create-of-compatible-mdio-bus-for-stmacc-driver/20151209-094242
> config: x86_64-randconfig-b0-12090825 (attached as .config)
> reproduce:
>          # save the attached .config to linux build tree
>          make ARCH=x86_64
>
> All errors (new ones prefixed by >>):
>
>     drivers/net/ethernet/stmicro/stmmac/stmmac_mdio.c: In function 'stmmac_mdio_register':
>>> drivers/net/ethernet/stmicro/stmmac/stmmac_mdio.c:226:17: error: 'struct stmmac_mdio_bus_data' has no member named 'reset_gpio'
>         mdio_bus_data->reset_gpio = -1;
>                      ^

G'day Arnd,

I got the above error from kbuild test robot. When changing to if (IS_ENABLED(CONFIG_OF)).
This was existing code that I moved into this conditional.
reset_gpio member only exists when CONFIG_OF is defined.
So it looks like I need to move that code back to the #if.
unless you have an alternate suggestion.

--
Regards
Phil Reid